package com.its.app.xnetudp.thread;

import com.its.app.xnetudp.protocol.CENTER_COMM_MESSAGE;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service("centerCommServerReceiver")
public class CenterCommServerReceiver extends AbstractCenterCommServerReceiver {

    @Override
    public void run(CENTER_COMM_MESSAGE data) {
        if (data == null) {
            log.error("CenterCommServerReceiver: RECV Data Packet NULL");
            return;
        }

        // 운영단말로 부터 수신한 데이터를 여기서 처리
    }
}
